Changeset 91d384d in subsurface


Ignore:
Timestamp:
May 27, 2017, 7:34:17 AM (3 months ago)
Author:
Dirk Hohndel <dirk@…>
Branches:
master
Children:
6bfd20a
Parents:
c293091
git-author:
Thiago Macieira <thiago@…> (05/23/17 07:16:18)
git-committer:
Dirk Hohndel <dirk@…> (05/27/17 07:34:17)
Message:

Don't use the deprecated CMake variable

The *_VERSION_STRING variable has been deprecated in Qt since 5.1.0. Use
the non-deprecated variable instead (which is not a string).

Qt 5.9.0 has a bug in the deprecated variable. Since it's deprecated,
it's probably not going to be fixed until 5.9.1. See

https://bugreports.qt.io/browse/QTBUG-60936

Signed-off-by: Thiago Macieira <thiago@…>
Signed-off-by: Dirk Hohndel <dirk@…>

File:
1 edited

Legend:

Unmodified
Added
Removed
  • CMakeLists.txt

    r1df4b6c r91d384d  
    219219
    220220#disable bluetooth if Qt version is ancient.
    221 if (BTSUPPORT AND "${Qt5Core_VERSION_STRING}" STRLESS "5.4.0")
     221if (BTSUPPORT AND "${Qt5Core_VERSION}" VERSION_LESS 5.4.0)
    222222        set(BTSUPPORT OFF)
    223         message(STATUS "Turning off Bluetooth support as Qt version ${Qt5Core_VERSION_STRING} is insufficient for that")
     223        message(STATUS "Turning off Bluetooth support as Qt version ${Qt5Core_VERSION} is insufficient for that")
    224224        list(REMOVE_ITEM QT_LIBRARIES Qt5::Bluetooth)
    225225endif()
Note: See TracChangeset for help on using the changeset viewer.